#
# Sets up chained replication for 3 hosts:
#  
#   master -> slave1 -> slave2

connect (master,127.0.0.1,root,,test,$MASTER_MYPORT,);
connect (slave1,127.0.0.1,root,,test,$SLAVE_MYPORT,);
connect (slave2,127.0.0.1,root,,test,$SLAVE_MYPORT1,);

### CLEAN UP INSTANCES

-- let $i= 3

while($i)
{
  if(`SELECT $i= 3`)
  {
    -- connection master
  }

  if(`SELECT $i= 2`)
  {
    -- connection slave1
  }

  if(`SELECT $i= 1`)
  {
    -- connection slave2
  }

  -- source include/have_log_bin.inc

  -- disable_warnings
  -- disable_query_log
  -- source include/stop_slave.inc
  DROP TABLE IF EXISTS t1,t2,t3,t4,t5,t6,t7,t8,t9;
  RESET MASTER;
  RESET SLAVE;
  -- enable_warnings
  -- enable_query_log

  -- dec $i
}

### SETTING UP CHAIN

# mysql_a
-- connection master
-- let $binlog_file_m= query_get_value(SHOW MASTER STATUS, File, 1)

# slave1
-- connection slave1
-- replace_result $MASTER_MYPORT MASTER_PORT $binlog_file_m MASTER_LOG_FILE
-- eval CHANGE MASTER TO master_host='127.0.0.1',master_port=$MASTER_MYPORT,master_user='root',MASTER_LOG_FILE='$binlog_file_m'
-- let $binlog_file= query_get_value(SHOW MASTER STATUS, File, 1)

# slave2
-- connection slave2
-- replace_result $SLAVE_MYPORT SLAVE1_PORT $binlog_file SLAVE1_LOG_FILE
-- eval CHANGE MASTER TO master_host='127.0.0.1',master_port=$SLAVE_MYPORT,master_user='root',MASTER_LOG_FILE='$binlog_file'
-- let $binlog_file= query_get_value(SHOW MASTER STATUS, File, 1)


### ASSERT THAT ALL SERVERS Ids ARE DIFFERENT

--connection master
SHOW VARIABLES LIKE 'server_id';
--connection slave1
SHOW VARIABLES LIKE 'server_id';
--connection slave2
SHOW VARIABLES LIKE 'server_id';

### START SLAVES
-- connection slave1
-- source include/start_slave.inc

-- connection slave2
-- source include/start_slave.inc

-- connection master
